nn.pp.rccore

## Interface IKvmPort

- All Known Implementing Classes:
    KvmPort

      public interface IKvmPort

  Description of a KVM Port

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `IKvmPort.KvmPermission` The permissions for performing KVM operations with the port
    `static class` | `IKvmPort.PowerPermission` The permissions for performing Power operations with the port
    `static class` | `IKvmPort.VmPermission` The permissions for performing Virtual Media operations with the port

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCimType()` Get the type of the CIM (Computer Interface Module)
    `IKvmPort.KvmPermission` | `getKvmPermission()` Get the KVM Permission for the port
    `java.lang.String` | `getPortName()` Get the user-friendly name of the port
    `java.lang.String` | `getPortNo()` Get the port number of the port
    `IKvmPort.PowerPermission` | `getPowerPermission()` Get the Power Permission for the port
    `java.lang.String` | `getUniquePortId()` Get the unique port identifier
    `IKvmPort.VmPermission` | `getVmPermission()` Get the Virtual Media Permission for the port
    `boolean` | `isVmPortType()` Does the port have Virtual Media capabilities?
    `void` | `setCimType(java.lang.String cimType)` Set the type of the CIM (Computer Interface Module)
    `void` | `setKvmPermission(IKvmPort.KvmPermission permission)` Set the KVM Permission for the port
    `void` | `setPortNo(java.lang.String no)` Set the port number of the port
    `void` | `setPowerPermission(IKvmPort.PowerPermission powerPermission)` Set the Power Permission for the port
    `void` | `setUniquePortId(java.lang.String id)` Set the unique port identifier
    `void` | `setVMPermission(IKvmPort.VmPermission permission)` Set the Virtual Media Permission for the port
    `void` | `setVmPortType(boolean vmPortType)` Set the Virtual Media capabilities

- - ### Method Detail

    - #### getPortNo

          java.lang.String getPortNo()

      Get the port number of the port

      This is usually a number from "1" up to the biggest number of supported ports on the KX. In case of any cascaded ports (e.g. tiering or blade chassis ports), this may also be something like "1.1".

      Returns:
        the port number of the port

    - #### setPortNo

          void setPortNo(java.lang.String no)

      Set the port number of the port

      This is usually a number from "1" up to the biggest number of supported ports on the KX. In case of any cascaded ports (e.g. tiering or blade chassis ports), this may also be something like "1.1".

      Parameters:
        `no` - the port number of the port

    - #### getUniquePortId

          java.lang.String getUniquePortId()

      Get the unique port identifier

      This is something like "P_000000000000_0"

      Returns:
        The unique port identifier

    - #### setUniquePortId

          void setUniquePortId(java.lang.String id)

      Set the unique port identifier

      This is something like "P_000000000000_0"

      Parameters:
        `id` - the unique port identifier

    - #### getPortName

          java.lang.String getPortName()

      Get the user-friendly name of the port
      Returns:
        the user-friendly name of the port

    - #### getKvmPermission

          IKvmPort.KvmPermission getKvmPermission()

      Get the KVM Permission for the port
      Returns:
        the KVM Permission for the port

    - #### getVmPermission

          IKvmPort.VmPermission getVmPermission()

      Get the Virtual Media Permission for the port
      Returns:
        the Virtual Media Permission for the port

    - #### setKvmPermission

          void setKvmPermission(IKvmPort.KvmPermission permission)

      Set the KVM Permission for the port
      Parameters:
        `permission` - the KVM Permission for the port

    - #### setVMPermission

          void setVMPermission(IKvmPort.VmPermission permission)

      Set the Virtual Media Permission for the port
      Parameters:
        `permission` - the Virtual Media Permission for the port

    - #### isVmPortType

          boolean isVmPortType()

      Does the port have Virtual Media capabilities?
      Returns:
        true if the port has Virtual Media capabilities, false otherwise

    - #### setVmPortType

          void setVmPortType(boolean vmPortType)

      Set the Virtual Media capabilities
      Parameters:
        `vmPortType` - true if the port has Virtual Media capabilities, false otherwise

    - #### getCimType

          java.lang.String getCimType()

      Get the type of the CIM (Computer Interface Module)

      NOTE: this may be unknown! Support for CIM Types has been added in KX 3.4 and is only submitted to the client on requesting the port list.

      Returns:
        the type of the CIM

    - #### setCimType

          void setCimType(java.lang.String cimType)

      Set the type of the CIM (Computer Interface Module)

      Parameters:
        `cimType` - the type of the CIM

    - #### getPowerPermission

          IKvmPort.PowerPermission getPowerPermission()

      Get the Power Permission for the port

      NOTE: this may be unknown! Support for power permissions has been added in KX 3.4 and is only submitted to the client on requesting the port list.

      Returns:
        the Power Permission for the port

    - #### setPowerPermission

          void setPowerPermission(IKvmPort.PowerPermission powerPermission)

      Set the Power Permission for the port
      Parameters:
        `powerPermission` - the Power Permission for the port

Copyright © 2025 Raritan Inc. All Rights Reserved.